Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1049272 - [engine] Editing running vm that has virtio-scsi disabled always fails
Summary: [engine] Editing running vm that has virtio-scsi disabled always fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: All
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Jiri Belka
URL:
Whiteboard: storage
Depends On:
Blocks: 1058295 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-07 10:19 UTC by Gadi Ickowicz
Modified: 2018-12-04 16:52 UTC (History)
14 users (show)

Fixed In Version: ovirt-engine-3.4.0_beta1
Doc Type: Bug Fix
Doc Text:
Previously, clicking the OK button in the Edit Virtual Machine window on a running machine would produce an error when the VirtIO-SCSI Enabled check box was disabled, even when no options had been changed. With this update, validation of the VirtIO-SCSI device has been updated to prevent this error from occurring.
Clone Of:
: 1058295 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:08:16 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
engine logs (deleted)
2014-01-07 10:19 UTC, Gadi Ickowicz
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 23052 None None None Never

Description Gadi Ickowicz 2014-01-07 10:19:21 UTC
Created attachment 846560 [details]
engine logs

Description of problem:
If a vm is started with virtio-scsi disabled (checkbox disabled from the resource allocation tab of the edit vm dialog), opening the edit vm dialog and then pressing ok results in the following error message showing up in the webadmin:

"
Error while executing action: 

the_VM:
Failed updating the properties of the VM. VM should be in status Down in order to change the VirtIO-SCSI device.
"

This happens whenever ok is pressed on the edit vm dialog for a running vm and the checkbox is disabled, even if it was disabled when the dialog was opened and the vm launched like this. Enabling the checkbox, even if it was disabled before, will allow the action to complete successfully.

Engine logs show the following CanDoAction failure:

2014-01-07 12:07:29,352 INFO  [org.ovirt.engine.core.bll.UpdateVmCommand] (ajp-/127.0.0.1:8702-4) [2d0ea6d8] Lock Acquired to object EngineLock [exclusiveLocks= key: the_VM value: VM_NAME
, sharedLocks= ]
2014-01-07 12:07:29,367 WARN  [org.ovirt.engine.core.bll.UpdateVmCommand] (ajp-/127.0.0.1:8702-4) [2d0ea6d8] CanDoAction of action UpdateVm failed. Reasons:VAR__ACTION__UPDATE,VAR__TYPE__VM,$device VirtIO-SCSI,VM_CANNOT_UPDATE_DEVICE_VM_NOT_DOWN
2014-01-07 12:07:29,367 INFO  [org.ovirt.engine.core.bll.UpdateVmCommand] (ajp-/127.0.0.1:8702-4) [2d0ea6d8] Lock freed to object EngineLock [exclusiveLocks= key: the_VM value: VM_NAME
, sharedLocks= ]
2014-01-07 12:08:09,962 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (DefaultQuartzScheduler_Worker-34) [214ebf7f] VM the_VM e88df900-54f5-40a6-8f72-b288aedd19df moved from PoweringUp --> Up
2014-01-07 12:08:09,971 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler_Worker-34) [214ebf7f] Correlation ID: 6e1b8a78, Job ID: 995a2d21-f116-4f94-8ba6-d9fbcb120438, Call Stack: null, Custom Event ID: -1, Message: VM the_VM started on Host aqua-vds5.qa.lab.tlv.redhat.com


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create vm 
2. Edit vm -> show advanced options -> resource allocation -> Uncheck the "virtio-scsi enabled" checkbox
3. launch vm
4. edit vm - do not change any settings and press ok

Actual results:
Error message appears

Expected results:
Error message should not appear, since nothing was changed

Additional info:

Comment 2 Jiri Belka 2014-02-17 10:18:29 UTC
ok, beta2.

Comment 3 errata-xmlrpc 2014-06-09 15:08:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.